unit PViewColorForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,gfx_basedef;

type
  TColorForm = class(TForm)
    Label4: TLabel;
    WebColor: TLabel;
    Panel5: TPanel;
    CRed: TLabel;
    CGreen: TLabel;
    CBlue: TLabel;
    ColorShape: TShape;
    CHue: TLabel;
    CSat: TLabel;
    CVal: TLabel;
    CLig: TLabel;
    Cint: TLabel;
    Panel4: TPanel;
    Image1: TImage;
    Panel6: TPanel;
    BrushShape: TShape;
    PenShape: TShape;
    procedure FormCreate(Sender: TObject);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  ColorForm: TColorForm;

implementation
{$R *.DFM}

procedure TColorForm.FormCreate(Sender: TObject);
begin
PenShape.Brush.Color:=PViewmainFrm.DefPenColor;
 BrushShape.Brush.Color:=PViewmainFrm.DefBrushColor;

end;

procedure TColorForm.Image1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
var RGB:TRGBTriple;
begin
  Image1.Cursor:=crMPipette;
RGB:=ColorToRGB(Image1.Picture.Bitmap.Canvas.Pixels[X,Y]);
    PViewmainFrm.ActualizeColorInfo(RGB);
end;

procedure TColorForm.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   if (ssLeft in Shift) then
   begin
       PViewmainFrm.DefPenColor:=Image1.Picture.Bitmap.Canvas.Pixels[X,Y];
     PenShape.Brush.Color:=  PViewmainFrm.DefPenColor;
     if TPViewChild(  PViewmainFrm.ActiveMDIChild).DrawTool<>nil then
     with TPViewChild(  PViewmainFrm.ActiveMDIChild).DrawTool
     do   PenColor:=   PViewmainFrm.DefPenColor;

   end else
   if (ssRight in Shift) then
   begin
       PViewmainFrm.DefBrushColor:=Image1.Picture.Bitmap.Canvas.Pixels[X,Y];
     BrushShape.Brush.Color:=  PViewmainFrm.DefBrushColor;
     if TPViewChild(  PViewmainFrm.ActiveMDIChild).DrawTool<>nil then
     with TPViewChild(  PViewmainFrm.ActiveMDIChild).DrawTool
     do BrushColor:=   PViewmainFrm.DefBrushColor;
   end;

end;

end.

